package com.futu.course.user.controller;

import com.futu.course.common.annotation.NonLoginRequired;
import com.futu.course.common.entity.R;
import com.futu.course.user.dto.UserDTO;
import com.futu.course.user.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("user")
public class UserController {


    @Autowired
    private UserService userService;

    @NonLoginRequired
    @PostMapping("wx_login")
    public R wxLogin(@RequestBody UserDTO dto) {
        return  userService.appLogin(dto);
    }

    @NonLoginRequired
    @PostMapping("logout")
    public R logout(@RequestBody UserDTO dto) {
        System.out.println(dto);
        return userService.logout(dto);
    }
}
